Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Protected Member Functions | List of all members
cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator Class Referenceabstract
Inheritance diagram for cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator:
[legend]

## Protected Member Functions
int | computeHorizontalElements (float[][][] cells, float threshold)
int | computeVerticalElements (float[][][] cells, float threshold)
int | computeOtherElements (float[][][] cells, float threshold)
int | computeAllElements (float[][][] cells, float threshold)

## Additional Inherited Members
Public Member Functions inherited from cz.vutbr.feec.novak68.hogcomparators.HOGComparator
double | getDistance (HOG hog1, HOG hog2)

## Detailed Description

This class is used to compute all elements including horizontal, vertical, other and all together. Methods accepts threshold which defines the lowest acceptable value, second value are cells which means HOG cells

Author
  xnovak68

See also
  HOGComparator

Definition at line 8 of file ElementBaseComparator.java.

## Member Function Documentation

int cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeAllElements | ( | floatcells | [][][],
|  | float | threshold
| ) |  |
| protected

Definition at line 39 of file ElementBaseComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeOtherElements(), and cz.vutbr.feec.novak68.hogcomparators.AllElementComparator.getDistance().

int cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeHorizontalElements | ( | floatcells | [][][],
|  | float | threshold
| ) |  |
| protected

Definition at line 10 of file ElementBaseComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeOtherElements(), and cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.getDistance().

int cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeOtherElements | ( | floatcells | [][][],
|  | float | threshold
| ) |  |
| protected

Definition at line 36 of file ElementBaseComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeAllElements(), cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeHorizontalElements(), and cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeVerticalElements().

Referenced by cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.getDistance().

Here is the call graph for this function:

int cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeVerticalElements | ( | floatcells | [][][],
|  | float | threshold
| ) |  |
| protected

Definition at line 18 of file ElementBaseComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeOtherElements(), and cz.vutbr.feec.novak68.hogcomparators.VerticalElementComparator.getDistance().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/hogcomparators/ElementBaseComparator.java